layers(4).
width(0,9).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
in_layer(0,n9).
width(1,9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
in_layer(1,n17).
in_layer(1,n18).
width(2,9).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
in_layer(2,n25).
in_layer(2,n26).
in_layer(2,n27).
width(3,9).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
in_layer(3,n33).
in_layer(3,n34).
in_layer(3,n35).
in_layer(3,n36).
edge(n7,n17).
edge(n8,n12).
edge(n22,n35).
edge(n3,n15).
edge(n14,n19).
edge(n2,n10).
edge(n21,n31).
edge(n3,n13).
edge(n9,n18).
edge(n14,n27).
edge(n23,n28).
edge(n23,n36).
edge(n17,n24).
edge(n6,n17).
edge(n20,n29).
edge(n4,n11).
edge(n16,n26).
edge(n24,n30).
edge(n27,n30).
edge(n18,n20).
edge(n20,n32).
edge(n23,n29).
edge(n5,n12).
edge(n24,n32).
edge(n21,n28).
edge(n27,n33).
edge(n2,n17).
edge(n17,n23).
edge(n18,n19).
edge(n20,n36).
edge(n9,n13).
edge(n9,n17).
edge(n19,n30).
edge(n16,n20).
edge(n8,n10).
edge(n19,n28).
edge(n16,n27).
edge(n14,n24).
edge(n12,n25).
edge(n24,n33).
edge(n5,n10).
edge(n13,n24).
edge(n4,n15).
edge(n17,n21).
edge(n27,n36).
edge(n1,n15).
edge(n24,n29).
edge(n24,n34).
